%global with_python3 1
%global srcname distribute
Name:           python-docopt
Version:        0.6.2
Release:        %mkrel 2
Summary:        Pythonic argument parser, that will make you smile
Group:          Development/Python
License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        http://pypi.python.org/packages/source/d/docopt/docopt-%{version}.tar.gz

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-pytest
%endif

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-pytest

BuildArch:      noarch

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write thisstupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%if 0%{?with_python3}
%package -n python3-docopt
Summary:        Pythonic argument parser, that will make you smile - package for Python 3
%description -n python3-docopt
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write thisstupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.
%endif # with_python3

%prep
%setup -q -n docopt-%{version}

# remove upstream egg-info
rm -rf *.egg-info

# make a copy for python3 install
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install

# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py nosetests
popd
%endif # with_python3

%{__python} setup.py nosetests

%files
%{python_sitelib}/docopt.py*
%{python_sitelib}/docopt-*.egg-info
%if 0%{?with_python3}
%files -n python3-docopt
%{python3_sitelib}/__pycache__/docopt*
%{python3_sitelib}/docopt.py*
%{python3_sitelib}/docopt-*.egg-info
%endif

